> ## Documentation Index
> Fetch the complete documentation index at: https://markdown2pdf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll document generation job status

> Poll the status of a document generation job. This endpoint allows you to check the current status of a job using its job ID. It will return the job status, including progress and any associated metadata.



## OpenAPI

````yaml get /job/{job_id}/status
openapi: 3.0.1
info:
  title: markdown2pdf
  version: '2025-06-10T15:55:31Z'
servers:
  - url: https://api.markdown2pdf.ai
security: []
paths:
  /job/{job_id}/status:
    get:
      summary: Poll document generation job status
      description: >-
        Poll the status of a document generation job. This endpoint allows you
        to check the current status of a job using its job ID. It will return
        the job status, including progress and any associated metadata.
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatus'
        '404':
          description: >-
            The provided job_id was not found or the user does not have access
            to the job.
          content: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobStatus:
      title: JobStatus
      required:
        - id
        - status
      type: object
      properties:
        id:
          title: Id
          type: string
          format: uuid
        description:
          title: Description
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/Status'
        status_meta:
          title: Status Meta
          type: string
          nullable: true
        progress:
          title: Progress
          maximum: 1
          minimum: 0
          type: number
        path:
          title: Path
          type: string
          nullable: true
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Status:
      title: Status
      type: string
      enum:
        - Not Started
        - Processing
        - Done
        - Error
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
                format: int32
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string

````